For the complete documentation index, see llms.txt. This page is also available as Markdown.

Channel Web Widget

Retrieves web widget settings for a channel

get

Required Permission: chatbots.channels.get

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

channelIdstringRequired

The ID of the web channel.

Responses
200

The current widget settings.

application/json
errorstringOptional

Optional error message

get/v1/chatbots/{chatbotId}/channels/{channelId}/widget
GET /v1/chatbots/{chatbotId}/channels/{channelId}/widget HTTP/1.1
Host: api.chatcaptain.com
x-chatcaptain-key: YOUR_API_KEY
Accept: */*
{
  "error": "text",
  "webWidgetSettings": {
    "colors": {
      "gradientFirst": "#176184",
      "gradientSecond": "#5fbed1",
      "gradientThird": "#FFFFFF",
      "gradientText": "#FFFFFF",
      "primary": "#176184",
      "onPrimary": "#FFFFFF",
      "secondary": "#5fbed1",
      "onSecondary": "#000000",
      "button": "#176184",
      "onButton": "#FFFFFF",
      "dark": false
    },
    "contents": {
      "headline": {
        "DE": "Hallo!",
        "EN-GB": "Hello!"
      },
      "subHeadline": {
        "DE": "Wie können wir helfen?",
        "EN-GB": "How can we help?"
      },
      "callToAction": {
        "DE": "Chat starten",
        "EN-GB": "Start Chat"
      },
      "callToActionSubtitle": {
        "DE": "Antwortzeit: 2 Minuten",
        "EN-GB": "Reply time: 2 minutes"
      },
      "botName": "Support-Bot",
      "hideBotAvatar": false,
      "hideFileUpload": false
    },
    "privacyConsent": true,
    "updated": "2025-09-30T12:00:00Z",
    "created": "2025-01-01T12:00:00Z"
  }
}

Updates web widget settings for a channel.

patch

Required Permission: chatbots.channels.edit

Resource: chatbots/:chatbotId

Authorizations
x-chatcaptain-keystringRequired
Path parameters
chatbotIdstringRequired

The ID of the chatbot.

channelIdstringRequired

The ID of the web channel.

Body
Responses
200

The updated widget settings.

application/json
errorstringOptional

Optional error message

patch/v1/chatbots/{chatbotId}/channels/{channelId}/widget
PATCH /v1/chatbots/{chatbotId}/channels/{channelId}/widget HTTP/1.1
Host: api.chatcaptain.com
x-chatcaptain-key: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 644

{
  "updateWebWidget": {
    "colors": {
      "gradientFirst": "#176184",
      "gradientSecond": "#5fbed1",
      "gradientThird": "#FFFFFF",
      "gradientText": "#FFFFFF",
      "primary": "#176184",
      "onPrimary": "#FFFFFF",
      "secondary": "#5fbed1",
      "onSecondary": "#000000",
      "button": "#176184",
      "onButton": "#FFFFFF",
      "dark": false
    },
    "contents": {
      "headline": {
        "DE": "Hallo!",
        "EN-GB": "Hello!"
      },
      "subHeadline": {
        "DE": "Wie können wir helfen?",
        "EN-GB": "How can we help?"
      },
      "callToAction": {
        "DE": "Chat starten",
        "EN-GB": "Start Chat"
      },
      "callToActionSubtitle": {
        "DE": "Antwortzeit: 2 Minuten",
        "EN-GB": "Reply time: 2 minutes"
      },
      "botName": "Support-Bot",
      "hideBotAvatar": false,
      "hideFileUpload": false
    },
    "privacyConsent": true
  }
}
{
  "error": "text",
  "webWidgetSettings": {
    "colors": {
      "gradientFirst": "#176184",
      "gradientSecond": "#5fbed1",
      "gradientThird": "#FFFFFF",
      "gradientText": "#FFFFFF",
      "primary": "#176184",
      "onPrimary": "#FFFFFF",
      "secondary": "#5fbed1",
      "onSecondary": "#000000",
      "button": "#176184",
      "onButton": "#FFFFFF",
      "dark": false
    },
    "contents": {
      "headline": {
        "DE": "Hallo!",
        "EN-GB": "Hello!"
      },
      "subHeadline": {
        "DE": "Wie können wir helfen?",
        "EN-GB": "How can we help?"
      },
      "callToAction": {
        "DE": "Chat starten",
        "EN-GB": "Start Chat"
      },
      "callToActionSubtitle": {
        "DE": "Antwortzeit: 2 Minuten",
        "EN-GB": "Reply time: 2 minutes"
      },
      "botName": "Support-Bot",
      "hideBotAvatar": false,
      "hideFileUpload": false
    },
    "privacyConsent": true,
    "updated": "2025-09-30T12:00:00Z",
    "created": "2025-01-01T12:00:00Z"
  }
}

Last updated